#if !defined (__TITILTMAZE_INCLUDE__)
#define __TITILTMAZE_INCLUDE__

#include <tigcclib.h>
#include "extgraph.h"

#define PROGRAM_NAME     "TI-TiltMaze"
#define PROGRAM_VERSION  "1.21"
#define TITLE_AND_VERSION PROGRAM_NAME" v"PROGRAM_VERSION

#if ((defined(USE_TI89) && defined(USE_TI92PLUS)) || (defined(USE_TI89) && defined(USE_V200)))
#error cannot produce both versions at once
#elif defined(USE_TI89)
#define C89_92(x,y) (x)
#elif defined(USE_TI92PLUS)
#define USE_V200
#define C89_92(x,y) (y)
#elif defined(USE_V200)
#define USE_TI92P
#define C89_92(x,y) (y)
#else
#error Please specify either -DUSE_TI89 or -DUSE_TI92P/-DUSE_V200 on commandline
#endif

#define PLANEOFFSET_X C89_92(0,40)
#define PLANEOFFSET_Y C89_92(0,14)

// tiles.c
extern unsigned short tiles[256];


// levels.c
//=============================================================================
// levels are 5x5 fields large
//
//
// each level field is bit-coded
//
// 0x1 ... left   wall
// 0x2 ... top    wall
// 0x4 ... right  wall
// 0x8 ... bottom wall
//=============================================================================
#define MAZE_SIZE_X  5
#define MAZE_SIZE_Y  5
#define MAZE_LEVELS 41

#define MASK_WALL_LEFT   0x01
#define MASK_WALL_TOP    0x02
#define MASK_WALL_RIGHT  0x04
#define MASK_WALL_BOTTOM 0x08

extern unsigned char leveldata[MAZE_LEVELS][MAZE_SIZE_X*MAZE_SIZE_Y];


// logo.c
extern void Logo(void);

#endif
